Get a inference deployment
GET
/v1/inference-deployments/{inferenceDeploymentId}curl -X GET 'https://api.embodiflow.io/v1/inference-deployments/{inferenceDeploymentId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- inferenceDeploymentIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- modelVersionIdstring必填
- inferenceImageRevisionIdstring必填
- gpuClassCodestring | null必填
- gpuCountnumber必填
- modestring必填可选值onlineoffline-package
- statusstring必填可选值pendingrunningfaileddeployingstoppingstopped
- replicasnumber必填
- lastErrorMessagestring | null必填
- startedAtstring | null必填
- stoppedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"modelVersionId": "string",
"inferenceImageRevisionId": "string",
"gpuClassCode": "string",
"gpuCount": 0,
"mode": "online",
"status": "pending",
"replicas": 0,
"lastErrorMessage": "string",
"startedAt": "string",
"stoppedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1